First I want to thank you for developing this mindbogglingly useful software! It will save me tons of drudge 
work and limit the opportunity for cheating in my exams for ~ 100 students.  Great service!

I have a MacBook OS 10.10.5, and installed Xquartz, Xcode, Macports, and finally AMC "\version{AMC 1.2.1 
svn:1403 with style $Revision: 431 $}". I had PDFLatex preinstalled. Everthing worked great for the first test, 
until I reached the button "Code Name for Automatic Association", which did not produce a dropdown menu.  
My *.csv file, linking the student ID's to their names is OK:  I can see the column headers in the dropdown 
menu for the button "Primary key from this list".  The student ID's are also scanned correctly, as I verified with 
the "Look at Marks" button.  

I did notice however that the file "options.xml" does not list the student association code, 
"<assoc_code></assoc_code>", nothing in the middle.  When I enter "pantherid" (my code) there manually 
nothing changes.  In the LaTex source code I have the commands "\AMCformBegin" and 
"\AMCcodeH{pantherid}{9}" in that order.

My problem seems identical to bug # 103, listed on the forum, which was resolved over five years ago.

Should I just upgrade to AMC version 1.3.0 for Mac?  Or can this be resolved in version 1.2.1?

Thanks again

History
10/01/2017 09:01 pm - Alexis Bienvenüe
- Status changed from New to Feedback

1.2.1 is no more maintained.
If you are not in the middle of an exam with AMC, I think you should upgrade.

10/01/2017 09:19 pm - Petrus Martens
Thank you for the immediate response!  I will upgrade before my next exam.

10/01/2017 09:31 pm - Alexis Bienvenüe
Or maybe this is related to #269? Can you check that _Edit/Preferences/Main/Internationalization/LaTeX files charset_ is _not_ empty? If it was empty, 
set it to the appropriate value, close AMC and re-open the project.

10/02/2017 05:29 am - Petrus Martens
Yes,that solved it.  Good thing I can read French.  Thanks again!

10/02/2017 08:04 am - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100
